export { ValidatorProvider, ValidatorContextOptions, OnErrorMessageHandler } from './context';
declare type Newable<T> = {
    new (): T;
} | Function;
declare type ValidationErrorMap<T, K extends keyof T> = {
    [key in K]?: string[];
};
declare type ValidationPayload<T, K extends keyof T> = {
    [key in K]?: T[K];
};
declare type ValidationFunction<T, K extends keyof T> = (payload: ValidationPayload<T, K>, filter?: K[]) => Promise<boolean>;
declare type UseValidationResult<T, K extends keyof T> = [ValidationFunction<T, K>, ValidationErrorMap<T, K>];
export declare const useValidation: <T, K extends keyof T>(validationClass: Newable<T>) => UseValidationResult<T, K>;
